/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from WebServer.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __WEBSERVER_STUB__
#define __WEBSERVER_STUB__

#include <dcopstub.h>
#include <Response.h>
#include <Request.h>
#include <Defaults.h>
#include <tqserversocket.h>
#include <dcopobject.h>

namespace KPF {

class WebServer_stub : virtual public DCOPStub
{
public:
    WebServer_stub( const TQCString& app, const TQCString& id );
    WebServer_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit WebServer_stub( const DCOPRef& ref );
    virtual TQString root();
    virtual TQString serverName();
    virtual ulong bandwidthLimit();
    virtual uint connectionLimit();
    virtual uint listenPort();
    virtual bool followSymlinks();
    virtual bool customErrorMessages();
    virtual void setBandwidthLimit( ulong  );
    virtual void setConnectionLimit( uint  );
    virtual void setListenPort( uint  );
    virtual void setServerName( const TQString&  );
    virtual void setFollowSymlinks( bool  );
    virtual void setCustomErrorMessages( bool  );
    virtual void set( uint listenPort, ulong bandwidthLimit, uint connectionLimit, bool followSymlinks, const TQString& serverName );
    virtual void restart();
    virtual void pause( bool  );
    virtual bool paused();
    virtual bool portContention();
    virtual uint connectionCount();
protected:
    WebServer_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
